require("modelprops")

local function cc_getmodelprops( pl, cmd, args )
	local tr = util.TraceLine( util.GetPlayerTrace( pl ) )
	
	if tr.Entity then
		local res, mass = getmodelproperties( tr.Entity:GetModel() )
		
		local okay = not string.find( res, "bad" )
		
		if okay then
			pl:ChatPrint( " * Result: " .. tostring( res ) .. " mass=" .. tostring( mass ) )
		else
			pl:ChatPrint( " * Error: " .. tostring( res ) )
		end
	end
end

concommand.Add( "getmodelprops", cc_getmodelprops )